/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.util;

/**
 *   <description> 
 *      
 *   @see <related>
 *   @author Rickard Öberg (rickard.oberg@telkel.com)
 *   @version $Revision: 1.2.6.2 $
 */
public interface InfoMBean
{
   // Public --------------------------------------------------------
   String listMemoryUsage();
   String listSystemInfo();
   String listThreadDump();
   String runGarbageCollector();
   /** Display the java.lang.Package info for the pkgName */
   String displayPackageInfo(String pkgName);
   void traceMethodCalls(boolean flag);
   void traceInstructions(boolean flag);
}
